### Method

# GdkWayland WaylandDevice get_node_path

#### Declaration [src]

    const char*
    gdk_wayland_device_get_node_path (
      GdkDevice* device
    )

#### Description [src]

Returns the `/dev/input/event*` path of this device.

For `GdkDevice`s that possibly coalesce multiple hardware devices (eg. mouse, keyboard, touch,…), this function will return `NULL`.

This is most notably implemented for devices of type `GDK_SOURCE_PEN`, `GDK_SOURCE_TABLET_PAD`.

#### Return value

Type: `const char*`

The `/dev/input/event*` path of this device.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.